;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
;       File Name:  sect30.inc                                          
;                                                                  
;       Content:    Section include file for MSV30262-SKP SKPTest.                
;                                                                  
;       Copyright 2002 Mitsubishi Electronics America, Inc.                              
;       All rights reserved                                            
;                                                                  
;=============================================================================
;       $Log:$
;=============================================================================                                  

;*******************************************************************************
;
;	C Compiler for M16C/60
;       Copyright 1995-2002 MITSUBISHI ELECTRIC CORPORATION
;       AND MITSUBISHI ELECTRIC SEMICONDUCTOR SYSTEMS CORPORATION
;       All Rights Reserved.
;
;	Written by T.Aoyama
;
;       sect30.inc     : section definition
;       This program is applicable when using the basic I/O library
;
;       $Id: sect30.inc,v 1.7 97/11/05 11:27:23 ookura Exp $
;
;	Revised by R. Seville for MSV30262-SKP.
;
;
;******************************************************************************
;---------------------------------------------------------------
;
; 	Arrangement of section
;
;---------------------------------------------------------------
; Near RAM data area
;---------------------------------------------------------------
; SBDATA area
	.section    data_SE,DATA
	.org 400H
data_SE_top:

	.section	bss_SE,DATA,ALIGN
bss_SE_top:

	.section	data_SO,DATA
data_SO_top:

	.section	bss_SO,DATA
bss_SO_top:

; near RAM area
	.section	data_NE,DATA,ALIGN
data_NE_top:

	.section	data_NO,DATA
data_NO_top:

	.section	bss_NE,DATA,ALIGN
bss_NE_top:

	.section	bss_NO,DATA
bss_NO_top:

;---------------------------------------------------------------
; Stack area
;---------------------------------------------------------------
	.section	stack,DATA
	.blkb	STACKSIZE
stack_top:

	.blkb	ISTACKSIZE
istack_top:


;---------------------------------------------------------------
;	heap section
;---------------------------------------------------------------
;	.section	heap,DATA
;heap_top:
;	.blkb	HEAPSIZE


;---------------------------------------------------------------
; Far ROM data area
;---------------------------------------------------------------
	.section	rom_FE,ROMDATA
	.org		0F0000H
rom_FE_top:

	.section	rom_FO,ROMDATA
rom_FO_top:

;---------------------------------------------------------------
; Initial data of 'data' section
;---------------------------------------------------------------
	.section	data_SEI,ROMDATA
data_SEI_top:

	.section	data_SOI,ROMDATA
data_SOI_top:

	.section	data_NEI,ROMDATA
data_NEI_top:
 
	.section	data_NOI,ROMDATA
data_NOI_top:
 
	.section	data_FEI,ROMDATA
data_FEI_top:
 
	.section	data_FOI,ROMDATA
data_FOI_top:

;---------------------------------------------------------------
; Switch Table Section
;---------------------------------------------------------------
	.section        switch_table,ROMDATA
switch_table_top:

 
;---------------------------------------------------------------
; code area
;---------------------------------------------------------------
	.section	interrupt

	.section	program


	.section	program_S

;---------------------------------------------------------------
; variable vector section
;---------------------------------------------------------------
	.section	vector		; variable vector table
	.org	VECTOR_ADR 
	.lword	dummy_int		; vector 0 (BRK)
	.org	(VECTOR_ADR +16)
	.lword  dummy_int		; INT3	   
	.lword	dummy_int		; Reserved
	.lword	dummy_int		; Reserved
	.lword	dummy_int		; Reserved
	.lword	dummy_int		; INT5
	.lword  dummy_int		; INT4
	.lword  dummy_int		; UART2 Bus collision detection iic
	.lword	dummy_int		; DMA0 (for user)
	.lword	dummy_int		; DMA1 (for user)
	.lword	dummy_int		; Key-on wakeup (for user)
	.glb 	_ADC_intr		;
	.lword	_ADC_intr		; A/D Converter (for user)
	.lword	dummy_int		; UART2 transmit/NACK, with iic mode NACK is selected. 
	.lword  dummy_int		; UART2 receive/ACK, with iic mode ACK is selected. 
   	.glb  	_Xmit_intr		;
   	.lword 	_Xmit_intr		; UART0 transmit (for user)
   	.glb  	_Rcev_intr		;
   	.lword 	_Rcev_intr		; UART0 receive: use for UART0 recieve interrupt.  
	.lword	dummy_int		; UART1 transmit (for user) 
   	.lword  dummy_int		; UART1 receive:  No declaration needed for M16C/26 because USB Monitor uses DBC irq.
	.lword	dummy_int		; TIMER A0 (for user)
	.lword	dummy_int		; TIMER A1 (for user)
	.lword	dummy_int		; TIMER A2 (for user)
	.lword	dummy_int		; TIMER A3 (for user)
	.lword  dummy_int		; TIMER A4 (for user) (vector 25)
	.lword	dummy_int		; TIMER B0 (for user) (vector 26)
	.lword	dummy_int		; TIMER B1 (for user) (vector 27)
	.lword	dummy_int		; TIMER B2 (for user) (vector 28)
	.lword	dummy_int		; INT0 (for user) (vector 29)
	.lword	dummy_int		; INT1 (for user) (vector 30) Use in DMAC testing. 
	.lword	dummy_int		; Reserved
	.lword	dummy_int		; vector 32 (for user or MR30)
	.lword	dummy_int		; vector 33 (for user or MR30)
	.lword	dummy_int		; vector 34 (for user or MR30)
	.lword	dummy_int		; vector 35 (for user or MR30)
	.lword	dummy_int		; vector 36 (for user or MR30)
	.lword	dummy_int		; vector 37 (for user or MR30)
	.lword	dummy_int		; vector 38 (for user or MR30)
	.lword	dummy_int		; vector 39 (for user or MR30)
	.lword	dummy_int		; vector 40 (for user or MR30)
	.lword	dummy_int		; vector 41 (for user or MR30)
	.lword	dummy_int		; vector 42 (for user or MR30)
	.lword	dummy_int		; vector 43 (for user or MR30)	
	.lword  dummy_int		; vector 44 (for user or MR30)
	.lword	dummy_int		; vector 45 (for user or MR30)
	.lword	dummy_int		; vector 46 (for user or MR30)
	.lword	dummy_int 		; vector 47 (for user or MR30)
	; to vector 63 from vector 32 is used MR30 

;===============================================================
; fixed vector section
;---------------------------------------------------------------
	.section	fvector			; fixed vector table
;===============================================================
; special page defination
;---------------------------------------------------------------
;	macro is defined in ncrt0.a30
;	Format: SPECIAL number
;
;---------------------------------------------------------------
;	SPECIAL 255
;	SPECIAL 254
;	SPECIAL 253
;	   :
;	   :
;	(omitted)
;	   :
;	   :
;	SPECIAL 24
;	SPECIAL 23
;	SPECIAL 22
;	SPECIAL 21
;	SPECIAL 20
;	SPECIAL 19
;	SPECIAL 18
;
;===============================================================
; fixed vector section
;---------------------------------------------------------------
	.org	0fffdch
UDI:
	.lword	dummy_int
OVER_FLOW:
	.lword	dummy_int
BRKI:
	.lword	dummy_int
ADDRESS_MATCH:
	.lword	dummy_int
SINGLE_STEP:
	.lword	dummy_int
WDT:
	.lword	dummy_int
DBC:
	.lword	dummy_int
NMI:
	.lword	dummy_int
RESET:
	.lword	start		; program starts at 'start' routine in ncrt0_skptest.a30
;
;*******************************************************************************
;
;	C Compiler for M16C/60
;       Copyright 1995-2002 MITSUBISHI ELECTRIC CORPORATION
;       AND MITSUBISHI ELECTRIC SEMICONDUCTOR SYSTEMS CORPORATION
;       All Rights Reserved.
;
;*******************************************************************************

